Last Comment Bug 416202 - 1.8 branch only: Upgrade to NSS_3_11_5_WITH_CKBI_1_65_RTM
: 1.8 branch only: Upgrade to NSS_3_11_5_WITH_CKBI_1_65_RTM
Status: RESOLVED FIXED
: fixed1.8.1.13
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Kai Engert (:kaie)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 12:47 PST by Kai Engert (:kaie)
Modified: 2008-02-18 02:15 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (640 bytes, patch)
2008-02-07 12:48 PST, Kai Engert (:kaie)
rrelyea: review+
dveditz: approval1.8.1.13+
Details | Diff | Review

Description Kai Engert (:kaie) 2008-02-07 12:47:20 PST
The recent NSS 3.11.9 release included a new builtins module with an updated list of root certs.

A new NSS tag has been prepared that could be used by Mozilla on the stable 1.8 branch for the next Firefox 2.0.0.x release.

NSS_3_11_5_WITH_CKBI_1_65_RTM
Comment 1 Kai Engert (:kaie) 2008-02-07 12:48:31 PST
Created attachment 301977 [details] [diff] [review]
Patch v1
Comment 2 Robert Relyea 2008-02-07 16:00:53 PST
Comment on attachment 301977 [details] [diff] [review]
Patch v1

As approved today be the nss team r+
Comment 3 Kai Engert (:kaie) 2008-02-10 23:40:38 PST
I've completed a local test build of the 1.8 branch plus this patch and it works for me.
Comment 4 Samuel Sidler (old account; do not CC) 2008-02-11 12:06:41 PST
Kai (or anyone, really), can we get some detail on what's changed in this new tag and why we're making the change?
Comment 5 Wan-Teh Chang 2008-02-11 13:06:53 PST
The only change in this new tag is some new root CA certificates.
We'd like to make the new root CAs available in Firefox 2.0.0.x.
Comment 6 Nelson Bolyard (seldom reads bugmail) 2008-02-11 14:41:35 PST
To be clear:  
Mozilla Foundation would like the new root CAs to be available in FireFox 2.0.0.x.  The tag cited in comment 0 was created in response to that request.
Comment 7 Daniel Veditz [:dveditz] 2008-02-13 11:32:33 PST
Why the NSS_IMPLEMENTS_DATA changes? Is that related to the root changes or just stuff that happened to be in your tree?
Comment 8 Wan-Teh Chang 2008-02-13 13:19:55 PST
The NSS_IMPLEMENT_DATA changes are the fix for bug 402285.  They are
unrelated to the root changes, but we want to upgrade the entire
mozilla/security/nss/lib/ckfw/builtin directory for easy of maintenance.

The NSS_IMPLEMENT_DATA changes are simpler than they look.  Most of
the changes are line reordering caused by grouping variable declarations
by their types.
Comment 9 Daniel Veditz [:dveditz] 2008-02-15 11:23:38 PST
Comment on attachment 301977 [details] [diff] [review]
Patch v1

approved for 1.8.1.13, a=dveditz for release-drivers
Comment 10 Kai Engert (:kaie) 2008-02-18 02:10:43 PST
fixed1.8.1.13

Note You need to log in before you can comment on or make changes to this bug.